<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.css.simulation.resource.server.infra.db.mysql.mapper.SceneEvaluationRuleMapper">
    <update id="updateSceneEvaluationRule" parameterType="api.common.pojo.po.scene.SceneEvaluationRulePO">
        update simulation.scene_evaluation_rule
        <set>
            <if test="isDeleted != null and isDeleted!=''">
                is_deleted = #{isDeleted,jdbcType=VARCHAR},
            </if>
            <if test="ruleName != null and ruleName!=''">
                rule_name = #{ruleName,jdbcType=VARCHAR},
            </if>
            <if test="ruleDescription != null and ruleDescription!=''">
                rule_description = #{ruleDescription,jdbcType=VARCHAR},
            </if>
            <if test="scriptName != null and scriptName!=''">
                script_name = #{scriptName,jdbcType=VARCHAR},
            </if>
            <if test="scriptPath != null and scriptPath!=''">
                script_path = #{scriptPath,jdbcType=VARCHAR},
            </if>
            <if test="modifyUserId != null and modifyUserId!=''">
                modify_user_id = #{modifyUserId,jdbcType=VARCHAR},
            </if>
            <if test="modifyTime != null">
                modify_time = #{modifyTime},
            </if>
            <if test="status != null">
                status = #{status},
            </if>
            <if test="error_msg != null">
                error_msg = #{errorMsg},
            </if>
        </set>
        where rule_id = #{ruleId,jdbcType=VARCHAR}
    </update>
</mapper>
